<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum UserSex: string implements HasLabel
{
    case MAN = 'man';
    case WOMAN = 'woman';
    case OTHER = 'other';
    case UNKNOWN = 'unknown';

    public function getLabel(): string
    {
        return match ($this) {
            self::MAN => __('enums.user_sex.man'),
            self::WOMAN => __('enums.user_sex.woman'),
            self::OTHER => __('enums.user_sex.other'),
            self::UNKNOWN => __('enums.user_sex.unknown'),
        };
    }
}
